| Kea 3.0.2-git

mysql_constants.h File Reference
`#include <mysql.h>`
Include dependency graph for mysql_constants.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::db

## Variables
Current database schema version values.
const uint32_t | isc::db::MYSQL_SCHEMA_VERSION_MAJOR = 30
const uint32_t | isc::db::MYSQL_SCHEMA_VERSION_MINOR = 0

## MySQL constants.
const my_bool | isc::db::MLM_FALSE = false
| MySQL false value.
const int | isc::db::MLM_MYSQL_FETCH_FAILURE = 0
| MySQL fetch failure code.
const int | isc::db::MLM_MYSQL_FETCH_SUCCESS = 0
| check for bool size
const my_bool | isc::db::MLM_TRUE = true
| MySQL true value.
typedef bool | isc::db::my_bool
| my_bool type in MySQL 8.x.
typedef char | isc::db::my_bools
| my_bools type for vectors.